--
-- $Id$
--
-- Customer specific once-script WEHK#39464_ORG.
DEFINE thisfile = 'WEHK#39464_ORG.sql'
DEFINE dbuser   = '^WEHK'
DEFINE custid   = 'WEHK'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

/* Afdeling/Kostenplaats analyse!
-- Aantal aanwezige kpn: 131 (hoogste key = 1121 aangemaakt op 12-12-2016 12:16:47)
SELECT *
  FROM prs_kostenplaats kp
 WHERE kp.prs_kostenplaats_verwijder IS NULL;

-- Aantal ongebruikte kpn (= niet aan afdeling gekoppeld?): 17 na import
SELECT *
  FROM prs_kostenplaats kp
 WHERE kp.prs_kostenplaats_verwijder IS NULL
       AND kp.prs_kostenplaats_key <= 1121
       AND NOT EXISTS
             (SELECT 1
                FROM prs_afdeling
               WHERE prs_afdeling_verwijder IS NULL
                     --AND prs_afdeling_key <= 1081
                     AND prs_kostenplaats_key = kp.prs_kostenplaats_key);

--Aantal ongebruikte kpn (= niet in nieuwe afdelingsboom?): 48 na import
SELECT *
  FROM prs_kostenplaats kp
 WHERE kp.prs_kostenplaats_verwijder IS NULL
       AND kp.prs_kostenplaats_key <= 1121
       AND NOT EXISTS
             (SELECT 1
                FROM prs_afdeling
               WHERE     prs_afdeling_verwijder IS NULL
                     AND prs_afdeling_key > 1081
                     AND prs_kostenplaats_key = kp.prs_kostenplaats_key);

-- Dubbele ingelezen afdelingen?
  SELECT prs_afdeling_naam, COUNT ( * )
    FROM fac_imp_organisatie
GROUP BY prs_afdeling_naam;

-- Aantal ingelezen kpn: 154
SELECT DISTINCT prs_kostenplaats_nr FROM fac_imp_organisatie;
*/

UPDATE prs_afdeling
   SET prs_afdeling_naam = '_' || prs_afdeling_naam
 WHERE prs_afdeling_verwijder IS NULL
       AND TRIM (prs_afdeling_upper) <> 'ONBEKEND';

COMMIT;

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$'); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
